#
# spec file for package lbreakout (Version 010315)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  SDL SDL-devel alsa audiofile esound gpp kdelibs-artsd libgpp xf86
# usedforbuild    SDL SDL-devel aaa_base aaa_dir alsa audiofile autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs esound file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gpp gppshare grep groff gzip kbd kdelibs-artsd less libgpp libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

# Commandline: 
Name:         lbreakout
Copyright:    GPL
Group:        X11/Games
Summary:      Klassisches Ausbruchspiel
Version:      010315
Release:      169
Url:          http://lgames.sourceforge.net/
Source:       lbreakout-%{version}.tar.bz2
Patch:        lbreakout-%{version}.dif
Patch1:        lbreakout-%{version}-ia64.dif
BuildRoot:    /var/tmp/%{name}-build

%description
Klassisches Ausbruchspiel

Authors:
--------
    Michael Speck <kulkanie@gmx.net>

SuSE series: fun

%prep
%setup
%patch
%patch1

%build
%{suse_update_config -f}
aclocal
automake -a
autoconf
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog README TODO lbreakout/manual
%attr(2755,games,game) /usr/bin/lbreakout
/usr/share/games/lbreakout
%attr(664,games,game) /var/games/lbreakout.hscr

%changelog -n lbreakout
* Wed Aug 08 2001 - ro@suse.de
- changed neededforbuild <sdl> to <SDL>
- changed neededforbuild <sdl-devel> to <SDL-devel>
* Wed Jun 20 2001 - cihlar@suse.cz
- added kdelibs and kdelibs-devel to neededforbuild
* Thu May 17 2001 - cihlar@suse.cz
- fixed cast warnings on ia64
* Mon Apr 09 2001 - cihlar@suse.cz
- update to version 010315
* Mon Mar 26 2001 - ro@suse.de
- changed neededforbuild <sdl> to <sdl sdl-devel>
* Wed Feb 21 2001 - cihlar@suse.cz
- added alsa, audiofile and esound to neededforbuild
* Fri Dec 01 2000 - cihlar@suse.cz
- package created
